PLplot: aqt.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
aqt.c File Reference
`#import <Foundation/Foundation.h>`
`#import <AquaTerm/AQTAdapter.h>`
`#include "plplotP.h"`
`#include "drivers.h"`

Go to the source code of this file.

## Macros
#define | SCALE 0.1
#define | AQT_Default_X 720
#define | AQT_Default_Y 540
#define | DPI 72.0
#define | MAX_STRING_LEN 1000
#define | AQT_N_FontLookup 30
#define | LOG NOOP_

## Functions
static void | NOOP_ (id x,...)
static void | get_cursor (PLStream *, PLGraphicsIn *)
static void | proc_str (PLStream *, EscText *)
NSMutableAttributedString * | create_string (const PLUNICODE *, int, PLFLT)
static void | set_font_and_size (NSMutableAttributedString *, PLUNICODE, PLFLT, int)
static void | check_font_environment_variables (void)
void | plD_dispatch_init_aqt (PLDispatchTable *pdt)
void | plD_init_aqt (PLStream *)
void | plD_line_aqt (PLStream *, short, short, short, short)
void | plD_polyline_aqt (PLStream *, short *, short *, PLINT)
void | plD_eop_aqt (PLStream *)
void | plD_bop_aqt (PLStream *)
void | plD_tidy_aqt (PLStream *)
void | plD_state_aqt (PLStream *, PLINT)
void | plD_esc_aqt (PLStream *, PLINT, void *)

## Variables
static NSAutoreleasePool * | arpool
static id | adapter
PLDLLIMPEXP_DRIVER const char * | plD_DEVICE_INFO_aqt = "aqt:AquaTerm (Mac OS X):1:aqt:50:aqt\n"
static int | currentPlot = 0
static int | maxWindows = 30
static int | windowXSize = 0
static int | windowYSize = 0
static bool | didTests = false
static bool | hasShear = false
static bool | hasAlpha = false
static FCI_to_FontName_Table | AQT_FontLookup [AQT_N_FontLookup]
const char * | aqt_font_env_names [AQT_N_FontLookup]

## Macro Definition Documentation

## ◆ AQT_Default_X

#define AQT_Default_X 720

Definition at line 43 of file aqt.c.

## ◆ AQT_Default_Y

#define AQT_Default_Y 540

Definition at line 44 of file aqt.c.

## ◆ AQT_N_FontLookup

#define AQT_N_FontLookup 30

Definition at line 74 of file aqt.c.

## ◆ DPI

#define DPI 72.0

Definition at line 45 of file aqt.c.

## ◆ LOG

#define LOG NOOP_

Definition at line 175 of file aqt.c.

## ◆ MAX_STRING_LEN

#define MAX_STRING_LEN 1000

Definition at line 47 of file aqt.c.

## ◆ SCALE

#define SCALE 0.1

Definition at line 42 of file aqt.c.

## Function Documentation

## ◆ check_font_environment_variables()

void check_font_environment_variables | ( | void |  | ) |
| static

Definition at line 769 of file aqt.c.

## ◆ create_string()

NSMutableAttributedString * create_string | ( | const PLUNICODE * | ucs4,
|  | int | ucs4_len,
|  | PLFLT | font_height
| ) |  |

Definition at line 633 of file aqt.c.

## ◆ get_cursor()

void get_cursor | ( | PLStream * | pls,
|  | PLGraphicsIn * | gin
| ) |  |
| static

Definition at line 493 of file aqt.c.

## ◆ NOOP_()

static void NOOP_ | ( | id | x,
|  |  | ...
| ) |  |
| inlinestatic

Definition at line 167 of file aqt.c.

## ◆ plD_bop_aqt()

void plD_bop_aqt | ( | PLStream * | pls | ) |

Definition at line 299 of file aqt.c.

## ◆ plD_dispatch_init_aqt()

void plD_dispatch_init_aqt | ( | PLDispatchTable * | pdt | ) |

Definition at line 208 of file aqt.c.

## ◆ plD_eop_aqt()

void plD_eop_aqt | ( | PLStream * | pls | ) |

Definition at line 354 of file aqt.c.

## ◆ plD_esc_aqt()

void plD_esc_aqt | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 445 of file aqt.c.

## ◆ plD_init_aqt()

void plD_init_aqt | ( | PLStream * | pls | ) |

Definition at line 232 of file aqt.c.

## ◆ plD_line_aqt()

void plD_line_aqt | ( | PLStream * | pls,
|  | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |

Definition at line 328 of file aqt.c.

## ◆ plD_polyline_aqt()

void plD_polyline_aqt | ( | PLStream * | pls,
|  | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |

Definition at line 340 of file aqt.c.

## ◆ plD_state_aqt()

void plD_state_aqt | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 379 of file aqt.c.

## ◆ plD_tidy_aqt()

void plD_tidy_aqt | ( | PLStream * | pls | ) |

Definition at line 368 of file aqt.c.

## ◆ proc_str()

void proc_str | ( | PLStream * | pls,
|  | EscText * | args
| ) |  |
| static

Definition at line 529 of file aqt.c.

## ◆ set_font_and_size()

void set_font_and_size | ( | NSMutableAttributedString * | str,
|  | PLUNICODE | fci,
|  | PLFLT | font_height,
|  | int | cur_loc
| ) |  |
| static

Definition at line 735 of file aqt.c.

## Variable Documentation

## ◆ adapter

id adapter
| static

Definition at line 52 of file aqt.c.

## ◆ aqt_font_env_names

const char* aqt_font_env_names[AQT_N_FontLookup]

Definition at line 132 of file aqt.c.

## ◆ AQT_FontLookup

FCI_to_FontName_Table AQT_FontLookup[AQT_N_FontLookup]
| static

Definition at line 75 of file aqt.c.

## ◆ arpool

NSAutoreleasePool* arpool
| static

Definition at line 51 of file aqt.c.

## ◆ currentPlot

int currentPlot = 0
| static

Definition at line 56 of file aqt.c.

## ◆ didTests

bool didTests = false
| static

Definition at line 61 of file aqt.c.

## ◆ hasAlpha

bool hasAlpha = false
| static

Definition at line 63 of file aqt.c.

## ◆ hasShear

bool hasShear = false
| static

Definition at line 62 of file aqt.c.

## ◆ maxWindows

int maxWindows = 30
| static

Definition at line 57 of file aqt.c.

## ◆ plD_DEVICE_INFO_aqt

PLDLLIMPEXP_DRIVER const char* plD_DEVICE_INFO_aqt = "aqt:AquaTerm (Mac OS X):1:aqt:50:aqt\n"

Definition at line 54 of file aqt.c.

## ◆ windowXSize

int windowXSize = 0
| static

Definition at line 58 of file aqt.c.

## ◆ windowYSize

int windowYSize = 0
| static

Definition at line 59 of file aqt.c.